
package de.ivu.elect.business.personenregister.boundary;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.personenregister.control.NoOpPersonenregister;
import de.ivu.elect.business.personenregister.entity.PersonenregisterSource;

import java.io.Serializable;

public class PersonenregisterResolver implements Serializable {

  private static final long serialVersionUID = 1L;

  public PersonenregisterResolver() {
    super();
  }

  public boolean isPersonenregisterAvailable(Mandant mandant) {
    return !NoOpPersonenregister.INSTANCE.equals(getPersonenregister()) && getPersonenregister().isAktiviert(mandant);
  }

  public Personenregister<?> getPersonenregister() {
    return NoOpPersonenregister.INSTANCE;
  }

  public PersonenregisterSource getPersonenregisterSource() {
    return PersonenregisterSource.NONE;
  }
}
